﻿@{
    ViewBag.Title = "Template1";
    Layout = null;
    var baseUrl = UrlHelpers.HomeUrl();
}
@model SchoolEnrollmentsPdfViewModel
<html>
<head>
    <style>


        @@font-face {
            font-family: "PT Serif Caption";
            font-style: normal;
            font-weight: 400;
            src: local("Cambria"),local("PT Serif Caption"),local("PTSerif-Caption"),url(https://themes.googleusercontent.com/static/fonts/ptserifcaption/v6/7xkFOeTxxO1GMC1suOUYWWhBabBbEjGd1iRmpyoZukE.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Light";
            font-style: normal;
            font-weight: 300;
            src: local("Segoe UI Light"),local("Open Sans Light"),local("OpenSans-Light"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/DXI1ORHCpsQm3Vp6mXoaTZ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans";
            font-style: normal;
            font-weight: 400;
            src: local("Segoe UI"),local("Open Sans"),local("OpenSans"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/K88pR3goAWT7BTt32Z01mz8E0i7KZn-EPnyo3HZu7kw.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Bold";
            font-style: normal;
            font-weight: 700;
            src: local("Segoe UI Bold"),local("Open Sans Bold"),local("OpenSans-Bold"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/k3k702ZOKiLJc3WVjuplzJ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }
         * {
            font-family: 'Segoe UI','Open Sans',Verdana,Arial,Helvetica,sans-serif;
            font-weight: normal;
            font-style: normal;
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            -ms-box-sizing: border-box;
            -o-box-sizing: border-box;
            box-sizing: border-box;
        }
        .jb-table-pdf-custom {
            display: table;
            width: 100%;
            height: auto;
            margin: 0 auto;
            background-color: #fff;
            border-collapse: collapse;
        }
            .jb-table-pdf-custom tbody {
                display: table-row-group;
            }

            .jb-table-pdf-custom tr {
                display: table-row;
            }

            .jb-table-pdf-custom thead {
                display: table-header-group;
            }

            .jb-table-pdf-custom tfoot {
                display: table-footer-group;
            }

        .jb-table-pdf-custom col {
            display: table-column;
        }

        .jb-table-pdf-custom colgroup {
            display: table-column-group;
        }
        .jb-table-pdf-custom tr{
            page-break-inside: avoid !important;
        }
         .pdf-break-page { page-break-after:always !important; }
        .jb-table-pdf-custom td,.jb-table-pdf-custom th {
            vertical-align:middle;
            padding:4px 10px;
            display: table-cell;
            font-size:12px;
            border:1px solid #ccc;
            height:auto;
            overflow:hidden;
            word-break:break-all;
        }

        .jb-table-pdf-custom caption {
            display: table-caption;
        }

        .jb-table-pdf-custom  .structure-green{
              white-space:nowrap !important;
            padding:8px 10px;
            color:#fff !important;
            background-color:#60a917 !important;
        }
        .jb-table-pdf-custom  .structure-green td,.jb-table-pdf-custom  .structure-green th{
              font-size:14px !important;
        }
        .jb-table-pdf-custom .structure-bold{
            font-weight:700;
        }
        .jb-table-pdf-custom .structure-text-left{
            text-align:left !important;
        }
        .jb-table-pdf-custom .structure-text-right{
            text-align:right !important;
        }
          .jb-table-pdf-custom .structure-text-center{
            text-align:center !important;
        }
          .jb-table-pdf-custom .structure-no-wrap{
               white-space:nowrap !important;
          }
          .jb-table-pdf-custom .bold-line{
              border: 2px solid #60a917 ;
          }
           .jb-table-pdf-custom.structure-green-line , .jb-table-pdf-custom .structure-green-line{
              border: 2px solid #60a917;
          }
          .enrollment-report-container{
              max-width:650px;
              margin:0 auto;
          }
          .enrollment-report-container img.report-logo{
              max-width:180px !important;
              max-height:100px  !important;
             margin:5px  !important;
          }
          .enrollment-report-container .td-box-logo{
              border:none;
               padding:10px;
          }


    </style>
</head>
<body>
    @if (Model.Schools !=null )
    {
        foreach (var school in Model.Schools)
        {
            <div class="enrollment-report-container">
                <table class="jb-table-pdf-custom structure-green-line">
                    <tr>
                        <td colspan="3" class="structure-bold structure-text-center td-box-logo">

                            @if (!string.IsNullOrEmpty(Model.ClubLogo) && Model.ClubLogo.ToLower().Contains("http"))
                            {
                                <img class="report-logo" src="@Model.ClubLogo" />
                            }
                            else
                            {
                                <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.ClubLogo)" />
                            }

                            @if (!string.IsNullOrEmpty(school.SchoolLogo) && school.SchoolLogo.ToLower().Contains("http"))
                            {
                                <img class="report-logo" src="@school.SchoolLogo" />
                            }
                            else
                            {
                                <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, school.SchoolLogo)" />
                            }

                        </td>

                    </tr>
                    <tr class="structure-green">
                        <td class="structure-bold structure-text-center">@school.SchoolName</td>
                        <td colspan="2" class="structure-bold structure-text-center">@school.SeasonName @school.Year</td>
                    </tr>

                    <tr class="bold-line">
                        <td class="structure-bold structure-text-center structure-no-wrap">COURSE</td>
                        <td class="structure-bold structure-text-center structure-no-wrap">MINIMUM</td>
                        <td class="structure-bold structure-text-center structure-no-wrap">ENROLLMENT</td>
                    </tr>
                    @foreach (var program in school.Programs)
                    {
                        <tr>
                            <td class="structure-text-left">@program.ProgramName</td>
                            <td class="structure-text-center">@program.MinimumCapacity</td>
                            <td class="structure-text-center">@program.Enrollment</td>
                        </tr>
                    }
                    <tr class="bold-line">
                        <td class="structure-text-right structure-bold">Total</td>
                        <td></td>
                        <td class="structure-text-center structure-bold">@school.TotalEnrollment</td>
                    </tr>
                </table>
            </div>
            <div class="pdf-break-page"></div>
        }
    }
 


</body>
</html>